'MiniS-Port 0501 board Primary API Library Sample 
'Written by J. TU (MiniStudio Inc.)
'All Right Reserved 2008.4.8
Public Class Form1
    Dim ConnectionState As Integer

    Private Sub Form1_FormClosed(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
        Dim RetState As Integer
        If ConnectionState = 1 Then
            RetState = DisConnectPIC()
        End If
    End Sub
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim RetState As Integer
        Dim bytCOMPortNum As Byte
        ' Make serial port connection with the MiniS-Port board

        bytCOMPortNum = 1 ' input your available serial port number in your PC
        If bytCOMPortNum < 1 Or bytCOMPortNum > 40 Then
            MsgBox("Ports Number must be from 1 to 40")
        End If
        RetState = SetCommPort(bytCOMPortNum)
        ConnectionState = ConnectPIC()
        If ConnectionState < 0 Then
            MsgBox("Serial Port Number is wrong! Check [Control Panel]->[System]->[Device Manager]->[Ports]")
        End If
    End Sub

    Protected Overrides Sub Finalize()

        MyBase.Finalize()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim bytSpeedStep As Byte
        Dim bytServoNum As Byte
        Dim bytTargetValue As Byte
        Dim RetState As Integer

        bytServoNum = 0 ' Servo Number is from 0 to 23
        bytSpeedStep = 127 ' Servo Speed Step is from 1 to 128

        If Val(TextBox1.Text) < 0 Then TextBox1.Text = 0 ' To avoid underflow
        If Val(TextBox1.Text) > 255 Then TextBox1.Text = 255 ' To avoid overflow

        bytTargetValue = CByte(Val(TextBox1.Text)) 'Effective Servo Target Valueis is from 0 to 127 
        If ConnectionState = 1 Then
            RetState = RunSingleServo8bit(bytServoNum, bytSpeedStep, bytTargetValue) 'RUN A Single Servo
            If RetState < 0 Then
                MsgBox("Communication Error! Check the cable etc.")
            End If
        Else
            MsgBox("Serial Port Number is wrong! Check [Control Panel]->[System]->[Device Manager]->[Ports]")
        End If

    End Sub
End Class
